Package org.apache.torque.generator.configuration.source

# Class SourceConfigurationTags

java.lang.Object
org.apache.torque.generator.configuration.source.SourceConfigurationTags

public final class SourceConfigurationTags extends Object
Contains tag and attribute names for the Source configuration.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLASS_ATTRIBUTE`
  Tag name for the "class" attribute of the "transformer" and "postprocessor tags.
  `static final String`
  `COMBINE_FILES_ATTRIBUTE`
  Attribute name for the "combineFiles" attribute.
  `static final String`
  `DRIVER_OPTION_ATTRIBUTE`
  Attribute name for the "driverOption" attribute.
  `static final String`
  `ELEMENTS_ATTRIBUTE`
  Attribute name for the "elements" attribute.
  `static final String`
  `ENTITY_REFERENCE`
  Tag name for the "entityReference" tag.
  `static final String`
  `EXCLUDE_TAG`
  Tag name for the "exclude" tag.
  `static final String`
  `FORMAT_ATTRIBUTE`
  Attribute name for the "format" attribute.
  `static final String`
  `INCLUDE_TAG`
  Tag name for the "include" tag.
  `static final String`
  `PASSWORD_OPTION_ATTRIBUTE`
  Attribute name for the "passwordOption" attribute.
  `static final String`
  `POSTPROCESSOR_TAG`
  Tag name for the "postprocessor" tag.
  `static final String`
  `RESOURCE_ATTRIBUTE`
  Attribute name for the "resource" attribute.
  `static final String`
  `SCHEMA_OPTION_ATTRIBUTE`
  Attribute name for the "schemaOption" attribute.
  `static final String`
  `SKIP_DECIDER_ARRTIBUTE`
  Attribute name for the "skipDecider" attribute.
  `static final String`
  `SOURCE_TAG`
  Tag name for the "source" tag.
  `static final String`
  `SYSTEM_ID_ATTRIBUTE`
  Attribute name for the "systemId" attribute.
  `static final String`
  `TRANSFORMER_TAG`
  Tag name for the "transformer" tag.
  `static final String`
  `URL_OPTION_ATTRIBUTE`
  Attribute name for the "urlOption" attribute.
  `static final String`
  `USERNAME_OPTION_ATTRIBUTE`
  Attribute name for the "usernameOption" attribute.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SOURCE_TAG

    public static final String SOURCE_TAG
    Tag name for the "source" tag.
    See Also:
      - Constant Field Values

  - ### ELEMENTS_ATTRIBUTE

    public static final String ELEMENTS_ATTRIBUTE
    Attribute name for the "elements" attribute.
    See Also:
      - Constant Field Values

  - ### SKIP_DECIDER_ARRTIBUTE

    public static final String SKIP_DECIDER_ARRTIBUTE
    Attribute name for the "skipDecider" attribute.
    See Also:
      - Constant Field Values

  - ### FORMAT_ATTRIBUTE

    public static final String FORMAT_ATTRIBUTE
    Attribute name for the "format" attribute.
    See Also:
      - Constant Field Values

  - ### COMBINE_FILES_ATTRIBUTE

    public static final String COMBINE_FILES_ATTRIBUTE
    Attribute name for the "combineFiles" attribute.
    See Also:
      - Constant Field Values

  - ### TRANSFORMER_TAG

    public static final String TRANSFORMER_TAG
    Tag name for the "transformer" tag.
    See Also:
      - Constant Field Values

  - ### CLASS_ATTRIBUTE

    public static final String CLASS_ATTRIBUTE
    Tag name for the "class" attribute of the "transformer" and "postprocessor tags.
    See Also:
      - Constant Field Values

  - ### POSTPROCESSOR_TAG

    public static final String POSTPROCESSOR_TAG
    Tag name for the "postprocessor" tag.
    See Also:
      - Constant Field Values

  - ### INCLUDE_TAG

    public static final String INCLUDE_TAG
    Tag name for the "include" tag.
    See Also:
      - Constant Field Values

  - ### EXCLUDE_TAG

    public static final String EXCLUDE_TAG
    Tag name for the "exclude" tag.
    See Also:
      - Constant Field Values

  - ### ENTITY_REFERENCE

    public static final String ENTITY_REFERENCE
    Tag name for the "entityReference" tag.
    See Also:
      - Constant Field Values

  - ### URL_OPTION_ATTRIBUTE

    public static final String URL_OPTION_ATTRIBUTE
    Attribute name for the "urlOption" attribute.
    See Also:
      - Constant Field Values

  - ### DRIVER_OPTION_ATTRIBUTE

    public static final String DRIVER_OPTION_ATTRIBUTE
    Attribute name for the "driverOption" attribute.
    See Also:
      - Constant Field Values

  - ### USERNAME_OPTION_ATTRIBUTE

    public static final String USERNAME_OPTION_ATTRIBUTE
    Attribute name for the "usernameOption" attribute.
    See Also:
      - Constant Field Values

  - ### PASSWORD_OPTION_ATTRIBUTE

    public static final String PASSWORD_OPTION_ATTRIBUTE
    Attribute name for the "passwordOption" attribute.
    See Also:
      - Constant Field Values

  - ### SCHEMA_OPTION_ATTRIBUTE

    public static final String SCHEMA_OPTION_ATTRIBUTE
    Attribute name for the "schemaOption" attribute.
    See Also:
      - Constant Field Values

  - ### SYSTEM_ID_ATTRIBUTE

    public static final String SYSTEM_ID_ATTRIBUTE
    Attribute name for the "systemId" attribute.
    See Also:
      - Constant Field Values

  - ### RESOURCE_ATTRIBUTE

    public static final String RESOURCE_ATTRIBUTE
    Attribute name for the "resource" attribute.
    See Also:
      - Constant Field Values